> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ntropy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server.

# Authentication

The Ntropy API uses API keys for authentication. API keys are essential for authenticating requests and
ensuring they originate from a trusted source. You can view and manage your API keys in the
[dashboard](https://dashboard.ntropy.com/keys) or [contact us](/support).

To use it include it in the `X-API-KEY` header of your HTTP requests. This key should be kept secure
and not shared in publicly accessible areas. If by any reason your API key is compromised, you can
[rotate](/onboarding#generate-an-api-key) it.

<Aside>
<EndpointRequestSnippet endpoint="GET /v3/transactions/{id}" />
</Aside>